Subject: bug#58177: Return value of perform-replace and its documentation string

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Sep 2022 15:25:45 +0200

Ruy Exel <[email-masked]> writes:

> Thus, I would like to add a feature request to this bug report, namely
> that the return value of perform-replace, in case it is canceled by
> the user, be changed from nil to some other value reflecting the
> replacements considered before the cancel request.

Yes, I think that makes sense.  An alternate value would be to return a
list of all considered replacements, but marking all the ones after the
`q' the same way as the `n's are marked.  I.e., `q' as a way of saying
"skip all the rest", which it is, in a way.

Anybody have any opinions here?